//
//  ViewController.swift
//  Granja
//
//  Created by Santiago Pavón Gómez on 28/9/16.
//  Copyright © 2016 UPM. All rights reserved.
//

import UIKit

class ViewController: UIViewController {

    override func viewDidLoad() {
        super.viewDidLoad()

        // Crear reconocedor de Tap para crear gallina
        let tapRec = UITapGestureRecognizer(target: self, action: #selector(processRootTap(_:)))
        tapRec.numberOfTapsRequired = 1
        view.addGestureRecognizer(tapRec)
        
        // Crear reconocedor de SreenEdgePan para borrar todo
        let edgeRec = UIScreenEdgePanGestureRecognizer(target: self, action: #selector(processRootEdge(_:)))
        edgeRec.edges = .left
        view.addGestureRecognizer(edgeRec)
    }

    
    func processRootTap(_ sender: UITapGestureRecognizer) {
        
        let pos = sender.location(in: sender.view)
        let rect = CGRect(x: pos.x, y: pos.y, width: 1, height: 1)
        
        let imgv = GHPImageView(frame: rect)
        
        view.addSubview(imgv)
    }
    
    func processRootEdge(_ sender: UIScreenEdgePanGestureRecognizer) {
        
        if sender.state != .began { return }
        
        UIView.transition(
            with: view,
            duration: 0.5,
            options: .transitionCrossDissolve,
            animations: {
                for subview in self.view.subviews {
                    if subview is GHPImageView {
                        subview.removeFromSuperview()
                    }
                }
            },
            completion: nil
        )
    }
}

